Autor Thema: Ring Video Doorbell  (Gelesen 74961 mal)

Offline christian.71

  • New Member
  • *
  • Beiträge: 29
Antw:Ring Video Doorbell
« Antwort #405 am: 25 November 2020, 16:16:32 »
Hmm...ist das normal? Dann sind ja auch dauern alle Config und Log Files von FHEM bei jedem Neustart weg.

Ich arbeite selbst nicht mit Docker, aber mein Stand ist, dass man einen Container neu starten kann und nur beim Setup das docker File herangezogen wird um den Container mit den entsprechend Commands zu konfigurieren.

Wenn es im Dockerfile nicht vom Ersteller des dockers integriert ist, dann ist es bei jedem Neustart wieder weg. Ich habe die Befehlszeile "pip3 install asyncio websockets importlib_metadata cryptography ring_doorbell" nun in meine post-start.sh eingetragen. Dieses skript wird bei jedem Container start mit ausgeführt. Nun klappt es.  :)

Offline leachim200

  • Jr. Member
  • **
  • Beiträge: 89
Antw:Ring Video Doorbell
« Antwort #406 am: 27 November 2020, 17:57:01 »
Hi
Hatte das attr mit den Delay herausgenommen hat leider wieder nicht funktioniert. Wenn ich die Lautstärke anpassen will dann steht bei State Login failed.
Erst nach einem delete und define der Ring in FHEM funktioniert wieder alles.

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 2484
Antw:Ring Video Doorbell
« Antwort #407 am: 27 November 2020, 19:42:11 »
Kannst du mir bitte das Log posten ab dem Zeitpunkt wo der Fehler auftritt?
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Offline leachim200

  • Jr. Member
  • **
  • Beiträge: 89
Antw:Ring Video Doorbell
« Antwort #408 am: 28 November 2020, 15:08:38 »
Hi
Hier der Auszug:
2020-11-25 13:29:00,329 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:32:25,568 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:34:01,909 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:37:27,128 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:39:05,652 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:42:28,681 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:44:07,482 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:47:30,233 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:49:09,171 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:52:31,862 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:54:11,523 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:57:33,507 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 13:59:13,719 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:02:35,230 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:04:15,771 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:07:36,957 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:09:17,328 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:12:38,528 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:14:18,908 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:17:40,623 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:19:21,113 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:22:42,192 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:24:22,904 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:27:43,790 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:29:24,757 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:32:45,424 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:34:26,330 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:37:47,046 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:39:27,967 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:42:48,638 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:44:35,629 - WARNING  - ring_doorbell.doorbot: Your Ring account does not have an active subscription.
2020-11-25 14:44:46,812 - ERROR    - lib.utils: Error in asyncio thread
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.7/http/client.py", line 1336, in getresponse
    response.begin()
  File "/usr/lib/python3.7/http/client.py", line 306, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.7/http/client.py", line 267, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/lib/python3.7/socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "/usr/lib/python3/dist-packages/urllib3/contrib/pyopenssl.py", line 307, in recv_into
    raise timeout('The read operation timed out')
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 367, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/lib/python3/dist-packages/six.py", line 693, in reraise
    raise value
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 386, in _make_request
    self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 306, in _raise_timeout
    raise ReadTimeoutError(self, url, "Read timed out. (read timeout=%s)" % timeout_value)
urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='api.ring.com', port=443): Read timed out. (read timeout=10)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/fhem/FHEM/bindings/python/lib/utils.py", line 28, in run_blocking
    pool, function)
  File "/usr/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/opt/fhem/FHEM/bindings/python/lib/ring/ring.py", line 192, in poll_dings
    self._ring.update_dings()
  File "/opt/fhem/.local/lib/python3.7/site-packages/ring_doorbell/__init__.py", line 89, in update_dings
    self.dings_data = self.query(DINGS_ENDPOINT).json()
  File "/opt/fhem/.local/lib/python3.7/site-packages/ring_doorbell/__init__.py", line 101, in query
    timeout=timeout,
  File "/opt/fhem/.local/lib/python3.7/site-packages/ring_doorbell/auth.py", line 84, in query
    req = getattr(self._oauth, method.lower())(url, **kwargs)
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests_oauthlib/oauth2_session.py", line 516, in request
    method, url, headers=headers, data=data, **kwargs
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests/adapters.py", line 529, in send
    raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: HTTPSConnectionPool(host='api.ring.com', port=443): Read timed out. (read timeout=10)
2020-11-25 14:44:46,817 - ERROR    - rrring: Failed to poll dings...
Traceback (most recent call last):
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.7/http/client.py", line 1336, in getresponse
    response.begin()
  File "/usr/lib/python3.7/http/client.py", line 306, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.7/http/client.py", line 267, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/lib/python3.7/socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "/usr/lib/python3/dist-packages/urllib3/contrib/pyopenssl.py", line 307, in recv_into
    raise timeout('The read operation timed out')
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 367, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/lib/python3/dist-packages/six.py", line 693, in reraise
    raise value
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 386, in _make_request
    self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 306, in _raise_timeout
    raise ReadTimeoutError(self, url, "Read timed out. (read timeout=%s)" % timeout_value)
urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='api.ring.com', port=443): Read timed out. (read timeout=10)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/fhem/FHEM/bindings/python/lib/ring/ring.py", line 119, in update_dings_loop
    await utils.run_blocking(functools.partial(self.poll_dings))
  File "/opt/fhem/FHEM/bindings/python/lib/utils.py", line 28, in run_blocking
    pool, function)
  File "/usr/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/opt/fhem/FHEM/bindings/python/lib/ring/ring.py", line 192, in poll_dings
    self._ring.update_dings()
  File "/opt/fhem/.local/lib/python3.7/site-packages/ring_doorbell/__init__.py", line 89, in update_dings
    self.dings_data = self.query(DINGS_ENDPOINT).json()
  File "/opt/fhem/.local/lib/python3.7/site-packages/ring_doorbell/__init__.py", line 101, in query
    timeout=timeout,
  File "/opt/fhem/.local/lib/python3.7/site-packages/ring_doorbell/auth.py", line 84, in query
    req = getattr(self._oauth, method.lower())(url, **kwargs)
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests/sessions.py", line 546, in get
    return self.request('GET', url, **kwargs)
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests_oauthlib/oauth2_session.py", line 516, in request
    method, url, headers=headers, data=data, **kwargs
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/opt/fhem/.local/lib/python3.7/site-packages/requests/adapters.py", line 529, in send
    raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: HTTPSConnectionPool(host='api.ring.com', port=443): Read timed out. (read timeout=10)
2020-11-25 14:45:04,626 - ERROR    - lib.utils: Error in asyncio thread
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.7/http/client.py", line 1336, in getresponse
    response.begin()
  File "/usr/lib/python3.7/http/client.py", line 306, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.7/http/client.py", line 267, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/lib/python3.7/socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "/usr/lib/python3/dist-packages/urllib3/contrib/pyopenssl.py", line 307, in recv_into
    raise timeout('The read operation timed out')
socket.timeout: The read operation timed out

Das zieht sich dann so durch ich glaub das ich alles drinnen habe wenn nicht kann ich dir auch das gesamte logfile anhängen.

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 2484
Antw:Ring Video Doorbell
« Antwort #409 am: 29 November 2020, 13:30:23 »
Hi,
danke, ich versuche das mal im nächsten Update zu beheben, so dass in so einem Fall ein neuer Login erfolgt.
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 2484
Antw:Ring Video Doorbell
« Antwort #410 am: 29 November 2020, 21:26:38 »
Ich habe gerade ein Update eingespielt. Kannst du bitte die neue Version testen ob es den Fehler behebt? Danke!
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Offline leachim200

  • Jr. Member
  • **
  • Beiträge: 89
Antw:Ring Video Doorbell
« Antwort #411 am: 30 November 2020, 14:52:38 »
Hi
alles klar hab ich gemacht ich teste mal :)

Offline pflock_y

  • Full Member
  • ***
  • Beiträge: 121
Antw:Ring Video Doorbell
« Antwort #412 am: 02 Dezember 2020, 19:13:19 »
Naben zusammen,

ich hab mich nun auch an das Modul gewagt.
Installation lief ohne Fehler durch.
Leider bekomme ich vom Modul immer:
Login failed

Unter ein Auszug aus dem PythonBinding log.

vielleicht weis einer Rat.

vg
pflock_y

2020-12-02 19:06:42,715 - INFO     - lib.fhem_pythonbinding: Starting pythonbinding...
2020-12-02 19:06:53,966 - INFO     - lib.fhem_pythonbinding: FHEM connection started: 127.0.0.1
2020-12-02 19:06:54,872 - ERROR    - lib.utils: Error in asyncio thread
Traceback (most recent call last):
  File "/opt/fhem/FHEM/bindings/python/lib/utils.py", line 28, in run_blocking
    pool, function)
  File "/usr/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/opt/fhem/FHEM/bindings/python/lib/ring/ring.py", line 215, in blocking_login
    self._auth = Auth("MyProject/1.0", None, token_updater)
TypeError: __init__() takes from 1 to 3 positional arguments but 4 were given
2020-12-02 19:06:54,888 - ERROR    - rrring: Login failed

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 2484
Antw:Ring Video Doorbell
« Antwort #413 am: 02 Dezember 2020, 19:42:00 »
Das Passwort hast du bereits gesetzt?
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Offline pflock_y

  • Full Member
  • ***
  • Beiträge: 121
Antw:Ring Video Doorbell
« Antwort #414 am: 02 Dezember 2020, 19:56:59 »
jupp, sogar mehrfach.
Ich hab auch meinen Gast Account ausprobiert, leider auch ohne erfolg.     

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 2484
Antw:Ring Video Doorbell
« Antwort #415 am: 02 Dezember 2020, 20:36:59 »
Poste bitte die Ausgaben von
python3 -V
sudo -u fhem pip3 show ring_doorbell
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Offline pflock_y

  • Full Member
  • ***
  • Beiträge: 121
Antw:Ring Video Doorbell
« Antwort #416 am: 02 Dezember 2020, 20:43:07 »

...:~ $ python3 -V
Python 3.7.3
und

...:~ $ sudo -u fhem pip3 show ring_doorbell
Name: ring-doorbell
Version: 0.4.0
Summary: A Python library to communicate with Ring Door Bell (https://ring.com/)
Home-page: https://github.com/tchellomello/python-ring-doorbell
Author: Marcelo Moreira de Mello
Author-email: tchello.mello@gmail.com
License: LGPLv3+
Location: /opt/fhem/.local/lib/python3.7/site-packages
Requires: pytz, requests, requests-oauthlib, oauthlib
Required-by:

Online dominik

  • Developer
  • Hero Member
  • ****
  • Beiträge: 2484
Antw:Ring Video Doorbell
« Antwort #417 am: 02 Dezember 2020, 21:00:37 »
sudo -u fhem pip3 install --upgrade ring_doorbellDann klappt es :)

Ich werde noch einbauen, dass die aktuelle Version automatisch installiert wird.
fhempy -  https://github.com/dominikkarall/fhempy: GoogleCast, UPnP, Ring, EQ3BT, Nespresso, Xiaomi, Spotify, Object Detection, ...
Kaffeespende: https://paypal.me/todominik

Offline pflock_y

  • Full Member
  • ***
  • Beiträge: 121
Antw:Ring Video Doorbell
« Antwort #418 am: 02 Dezember 2020, 21:07:31 »
SUPER LÄUFT!!!

Danke....


vg
pflock_y

Offline Amenophis86

  • Hero Member
  • *****
  • Beiträge: 2753
  • Anti-Statement befreite Zone ;)
Antw:Ring Video Doorbell
« Antwort #419 am: 04 Dezember 2020, 08:17:53 »
Hallo, finde ich irgendwo eine Doku was das Modul kann? Auf github steht nur, dass es mit Ring spricht aber was genau kann man machen?
Aktuell dabei unser neues Haus mit KNX am einrichten. Im nächsten Schritt dann KNX mit FHEM verbinden. Allein zwei Dinge sind dabei selten: Zeit und Geld...

 

decade-submarginal